using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.SubTypes
{
    public class KeyValue
    {
        [Required]
        public string key { set; get; }

        [Required]
        [JsonProperty("readonly")]
        public bool IsReadOnly { set; get; }

        [MaxLength(500)]
        [DefaultValue("")]
        public string value { set; get; }
    }
}
